Bug 109276 - Install of new packages fails due to incorrect path
Install of new packages fails due to incorrect path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
: 109439 109473 109530 109551 109685 109931 109999 110412 110580 110844 111637 117947 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 08:47 EST by Dan Tucny
Modified: 2007-11-30 17:10 EST (History)
18 users (show)

See Also:
Fixed In Version: 1.2.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 16:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /usr/share/comps/i386/.discinfo (83 bytes, text/plain)
2003-11-06 12:08 EST, Michael McCabe
no flags Details
Updates method.py (701 bytes, patch)
2003-11-06 13:10 EST, Michael McCabe
no flags Details | Diff

  None (edit)
Description Dan Tucny 2003-11-06 08:47:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
When using redhat-config-packages to add new packages, it gets to
telling you to insert a CD, once you OK this, it fails with 'Error
installing packages There was an error installing packages. Exiting.'

Running redhat-config-packages in a terminal window shows the
following error message, in this case, installing tsclient.

The file /mnt/cdrom/RedHat/RPMS/tsclient-0.120-1.i386.rpm cannot be
opened. This is due to a missing file, a bad package, or bad media.
Press <return> to try again.

The correct path is actually
/mnt/cdrom/Fedora/RPMS/tsclient-0.120-1.i386.rpm.


Version-Release number of selected component (if applicable):
redhat-config-packages-1.2.6-1

How reproducible:
Always

Steps to Reproduce:
1. Open redhat-config-packages
2. Choose some new packages
3. Click Update
    

Additional info:
Comment 1 Jeremy Katz 2003-11-06 11:27:33 EST
What does /usr/share/comps/i386/.discinfo contain?
Comment 2 Michael McCabe 2003-11-06 12:08:22 EST
Created attachment 95765 [details]
Contents of /usr/share/comps/i386/.discinfo
Comment 3 Dan Tucny 2003-11-06 12:10:27 EST
The file contents are the same as posted by Michael above. Thanks Michael.
Comment 4 Michael McCabe 2003-11-06 13:10:13 EST
Created attachment 95766 [details]
Updates method.py

This patch updates method.py with the Fedora cd path. I compiled it and tested
on two Fedora Core 1 Systems and they both worked.
Comment 5 Jeremy Katz 2003-11-06 13:29:18 EST
But that's just a default that's used if the .discinfo file doesn't
exist and have the package path...  and it works here for me.
Comment 6 Drew Gaylo 2003-11-06 16:04:31 EST
I'm having the same problem, terminal output as follows

---Start---
WARNING: perl-Digest-SHA1 had an old state and tried to set it again.
 0 to 2
selecting already selected package perl-Digest-SHA1
The file /mnt/cdrom1/RedHat/RPMS/perl-Digest-SHA1-2.01-15.i386.rpm
cannot be opened. This is due to a missing file, a bad package, or bad
media. Press <return> to try again.
---End---
Comment 7 Drew Gaylo 2003-11-06 16:09:04 EST
I've applied the patch mentioned above and rebuilt the source rpm and
installed it and it works great now.
Comment 8 Rasmus Back 2003-11-07 08:20:51 EST
I'm also having the same problem. Looking at the source code for
method.py it doesn't seem like the package path is read from .discinfo.

In class RedHatCdromInstallMethod method readDiscInfo only timestamp
and releaseName are read from .discinfo.

Adding self.packagesDir = discid.rpms_path to readDiscInfo fixes the
problem and i can install rpms again.

The method.py file as a whole could use some cleaning up ;)
Comment 9 Frank Straetz 2003-11-07 12:58:08 EST
Same problem here. (bump :p)

I can't install the development tools because of this problem, but I
need them to compile Nvidia kernel interface/module/whatever. If I
install the redhat-config-packages source package and modify the
methods.py file I can't recompile it because the dev tools are
missing. In short, I'm too lazy to install 38 packages by hand. :) Help!
Comment 10 Jeremy Katz 2003-11-07 14:56:18 EST
*sigh*  Fixed in 1.2.7 -- I know I had this working at some point :/

http://people.redhat.com/~katzj/redhat-config-packages/ will have the
package as soon as it's done building.
Comment 11 Jeremy Katz 2003-11-07 15:48:09 EST
*** Bug 109439 has been marked as a duplicate of this bug. ***
Comment 12 Jeremy Katz 2003-11-08 13:16:18 EST
*** Bug 109473 has been marked as a duplicate of this bug. ***
Comment 13 Nick Lamb 2003-11-08 22:46:23 EST
Can this be pushed onto up2date? I'm not sure what policy has been set
for Fedora on which non-security fixes can go to up2date, but this one
seems like a no brainer to me.
Comment 14 Jeremy Katz 2003-11-08 23:36:02 EST
*** Bug 109530 has been marked as a duplicate of this bug. ***
Comment 15 Jeremy Katz 2003-11-09 12:24:47 EST
*** Bug 109551 has been marked as a duplicate of this bug. ***
Comment 16 Jeremy Katz 2003-11-10 17:51:05 EST
*** Bug 109685 has been marked as a duplicate of this bug. ***
Comment 17 Jeremy Katz 2003-11-13 11:14:29 EST
*** Bug 109931 has been marked as a duplicate of this bug. ***
Comment 18 Jeremy Katz 2003-11-13 15:50:12 EST
*** Bug 109999 has been marked as a duplicate of this bug. ***
Comment 19 Jeremy Katz 2003-11-19 16:43:59 EST
*** Bug 110412 has been marked as a duplicate of this bug. ***
Comment 20 Jeremy Katz 2003-11-21 12:57:59 EST
*** Bug 110580 has been marked as a duplicate of this bug. ***
Comment 21 Michael Phix 2003-11-21 16:28:09 EST
I tried to install the 1.2.7 RPM and here is my output

file /usr/share/redhat-config-packages/method.py from install of
redhat-config-packages-1.2.7-1 conflicts with file from package
redhat-config-packages-1.2.6-1
Comment 22 Dan Tucny 2003-11-22 08:24:27 EST
Michael P, rpm -U to upgrade a package rather than rpm -i to install.
Comment 23 Paolo Prandini 2003-11-23 03:12:25 EST
I have updaded package. Works fine now.
- Regards
- Paolo
Comment 24 Jeremy Katz 2003-11-24 16:51:22 EST
Released as a Fedora Core update.
Comment 25 Jeremy Katz 2003-11-24 17:24:00 EST
*** Bug 110844 has been marked as a duplicate of this bug. ***
Comment 26 Karsten Hopp 2003-12-31 09:48:34 EST
*** Bug 111637 has been marked as a duplicate of this bug. ***
Comment 27 Jeremy Katz 2004-03-10 12:31:54 EST
*** Bug 117947 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.